VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmToleranz 
   Caption         =   "Toleranz"
   ClientHeight    =   1570
   ClientLeft      =   110
   ClientTop       =   450
   ClientWidth     =   4580
   OleObjectBlob   =   "frmToleranz.frx":0000
   StartUpPosition =   3  'Windows-Standard
End
Attribute VB_Name = "frmToleranz"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnFertig_Click()
    Unload Me
End Sub

Private Sub btnUpdate_Click()
    Dim oApp As Inventor.Application
    Set oApp = ThisApplication
    
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = oApp.ActiveDocument
    
    Dim oSheet As Sheet
    Set oSheet = oDrawDoc.ActiveSheet
    
    Dim oTitleBlock As TitleBlock
    Set oTitleBlock = oSheet.TitleBlock
    
    Dim sText As String
    sText = Me.CBox1.Value
    
    Dim oTextBox As TextBox
    Set oTextBox = GetPromptTextBox(oTitleBlock.Definition, "Toleranz")
    
    If Not oTextBox Is Nothing Then
        Call oTitleBlock.SetPromptResultText(oTextBox, sText)
    End If
End Sub

Private Sub CommandButton1_Click()

End Sub

Private Sub UserForm_Initialize()
    Dim oApp As Inventor.Application
    Set oApp = ThisApplication
    
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = oApp.ActiveDocument
    
    Dim oSheet As Sheet
    Set oSheet = oDrawDoc.ActiveSheet
    
    Dim oTitleBlock As TitleBlock
    Set oTitleBlock = oSheet.TitleBlock
    
    Dim oTitleBlockdef As TitleBlockDefinition
    Set oTitleBlockdef = oTitleBlock.Definition

    Dim oTextBox As TextBox
    Set oTextBox = GetPromptTextBox(oTitleBlockdef, "Toleranz")
    
    If Not oTextBox Is Nothing Then
        Dim sText As String
        sText = oTitleBlock.GetResultText(oTextBox)
    End If
    
     With Me.CBox1
        .AddItem "A"
        .AddItem "B"
        .AddItem "C"
        .AddItem "D"
        .AddItem "E"
    End With
    
    Dim i As Integer
    For i = 0 To CBox1.ListCount - 1
        If CBox1.List(i) = sText Then
            CBox1.ListIndex = i
            Exit For
        End If
    Next
End Sub

Private Function GetPromptTextBox(ByVal oTitleBlockdef As TitleBlockDefinition, ByVal sPromptText As String) As TextBox
    Dim oTextBox As TextBox
    For Each oTextBox In oTitleBlockdef.Sketch.TextBoxes
        If UCase(Left(oTextBox.FormattedText, 7)) = "<PROMPT" Then
            Dim lIndex As Long
            lIndex = InStr(oTextBox.FormattedText, ">") + 1
            Dim llength As Long
            llength = Len(sPromptText)
            If UCase(Mid(oTextBox.FormattedText, lIndex, llength)) = UCase(sPromptText) Then
                Set GetPromptTextBox = oTextBox
                Exit For
            End If
        End If
        Set oTextBox = Nothing
    Next
End Function

